WSResultSetHome
Date: 2016-02-09

org.gcube.common.searchservice.resultsetservice

## Class WSResultSetHome

- java.lang.Object
- - org.gcube.common.searchservice.resultsetservice.WSResultSetHome

-     public class WSResultSetHome
      extends java.lang.Object

  Resource home for non wsrf functionality
  Author:
    UoA

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WSResultSetHome()` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResultSet(java.lang.String sessionToken, org.gcube.common.searchservice.searchlibrary.resultset.ResultSet rs)` adds the result set
    `org.gcube.common.searchservice.searchlibrary.resultset.ResultSet` | `getResultSet(java.lang.String rsID)` retrieves the result set associated with the specific ID
    `void` | `remove(java.lang.String rsID)` removes the result set associated with the specific id

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WSResultSetHome

          public WSResultSetHome()

      Constructor

  - ### Method Detail

    - #### addResultSet

          public void addResultSet(java.lang.String sessionToken,
                          org.gcube.common.searchservice.searchlibrary.resultset.ResultSet rs)

      adds the result set
      Parameters:
        `sessionToken` - the sesion token
        `rs` - the ResultSet

    - #### getResultSet

          public org.gcube.common.searchservice.searchlibrary.resultset.ResultSet getResultSet(java.lang.String rsID)
                                                                                        throws java.lang.Exception

      retrieves the result set associated with the specific ID
      Parameters:
        `rsID` - teh rs id
      Returns:
        the result set
      Throws:
        `java.lang.Exception` - the id does not exist

    - #### remove

          public void remove(java.lang.String rsID)
                      throws java.lang.Exception

      removes the result set associated with the specific id
      Parameters:
        `rsID` - the rs id
      Throws:
        `java.lang.Exception` - the id does not exist